LINUX.ORG.RU

Что делать?

Для начала надо делать так. Достали вываливать все в форум.

mandala ★★★★ ()

Что делать?

убрать «emerge» из тегов. он здесь лишний. вместо него добавить «генту»

ZuBB ★★★★★ ()
Ответ на: комментарий от egordorichev

Как туда записать да, но зачем - нет

В Gentoo есть две ветки: тестовая и стабильная. Для тестовой ветки ставится тильда (~) перед архитекторой. Посмотри свой make.conf (а лучше - вывод emerge --info) на предмет ACCEPT_KEYWORDS , у тебя там небось x86 или amd64 - тильды нет, значит стабильная ветка.

По ссылке, что я дал, ты можешь видеть кейводы пакета; для speech-tools-2.1-r2 они все с тильдой, значит из тестововй ветки, значит у тебя emerge эту версию видеть не будет. А будет видеть speech-tools-2.1-r1 , у которого есть x86 и adm64.

Теперь, будучи на стабильной ветке, ты хочешь установить один пакет из тестовой ветки (на самом деле - с не-родным кейвордом). Такие вот «исключения» и прописываются в /etc/portage/package.accept_keywords. Допиши в этот файл такое:

=app-accessibility/speech-tools-2.1-r2 **
Равно - конкретно эту версию, две звезды после пробела - любые кейворды.

После этого emerge будет «видеть»/устанавливать -r2 версию speech-tools.

http://wiki.gentoo.org/wiki/Knowledge_Base:Accepting_a_keyword_for_a_single_p...

Kroz ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.